Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class MCAdapter

    java.lang.Object
      rice.p2p.util.MCAdapter

All Implemented Interfaces:
  MessageCallback<NodeHandle,RawMessage>

    public class MCAdapter

extends java.lang.Object
implements MessageCallback<NodeHandle,RawMessage>

Constructor Summary
`MCAdapter(MessageCallback<NodeHandle,Message> deliverAckToMe, MRHAdapter handle)`

Method Summary
`void` | `ack(MessageRequestHandle<NodeHandle,RawMessage> msg)` Layer specific callback.
`void` | `sendFailed(MessageRequestHandle<NodeHandle,RawMessage> msg, java.io.IOException reason)` Notification that the message can't be sent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCAdapter

    public MCAdapter(MessageCallback<NodeHandle,Message> deliverAckToMe,
                     MRHAdapter handle)

Method Detail

### ack

    public void ack(MessageRequestHandle<NodeHandle,RawMessage> msg)

  Description copied from interface: `MessageCallback`
  Layer specific callback.

  Specified by:
    `ack` in interface `MessageCallback<NodeHandle,RawMessage>`
  Parameters:
    `msg` - the message that is being acknowledged.

### sendFailed

    public void sendFailed(MessageRequestHandle<NodeHandle,RawMessage> msg,
                           java.io.IOException reason)

  Description copied from interface: `MessageCallback`
  Notification that the message can't be sent.

  Specified by:
    `sendFailed` in interface `MessageCallback<NodeHandle,RawMessage>`
  Parameters:
    `msg` - the message that can't be sent.
    `reason` - the reason it can't be sent (layer specific)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.